- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Updates the LoyaltyProgram matching the requested name.
HTTP request
PATCH https://merchantapi.googleapis.com/accounts/v1alpha/{loyaltyProgram.name=accounts/*/programs/*/loyaltyPrograms/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
loyaltyProgram.name |
Identifier. The resource name of the LoyaltyProgram. Format: |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. The comma-separated field mask indicating the fields to update. If unset, a full replacement will be performed. Otherwise, a partial update will be performed. For example, an updateMask of For repeated fields that need to be updated, the entire repeated field will be replaced. It is recommended to do a GET request on the LoyaltyProgram first to get the current values of the repeated fields. |
Request body
The request body contains an instance of LoyaltyProgram.
Response body
If successful, the response body contains an instance of LoyaltyProgram.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.